
QGIS Application - Bug report #1198

Open attribute table hangs when a postGIS layer has pending copy from other layer

2008-08-01 09:42 AM - milovanderlinden -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11258

Description

How to reproduce: 

1- Open [[PostGIS]] table, toggle editable. 

2- Open shapefile. Select objects on shapefile layer > Copy. 

3 Select postGIS layer > paste. 

4 press button to Open attribute table for the postGIS layer. Memory runs sky high. Swap goes above 6Gb, my internal mem of 4Gb gets

flooded..ubuntu hangs.

Can it be that qGIS cannot handle showing a postGIS attribute table with pending copies and goes into a eternal loop?

History

#1 - 2008-08-01 09:43 AM - milovanderlinden -

More steps for reproduction:

- If I open the postGIS layer and press the button to open the attribute table, it is there in a split second.

- If I draw a polygon and open the attribute table, split second and I can see the edit with a -2 id.

- If I copy even a single geometry from the underlying shapefile, hang.

This must definitely have something to do with copying an object, not with edit a postGIS layer in general.

#2 - 2008-08-01 09:44 AM - milovanderlinden -

The postGIS table has 80 records, so it is not a matter of it being to large.

#3 - 2008-08-01 09:52 AM - milovanderlinden -

Also happens with two shapefiles. I used two polygon shapefiles.

#4 - 2009-01-10 11:24 PM - Paolo Cavallini

- Resolution set to worksforme

- Status changed from Open to Closed
Checked, it seems to work on 1.0. I'm closing it, please check wioth latest QGIS (1.0) and reopen it if necessary. Thanks

#5 - 2009-08-22 01:01 AM - Anonymous

Milestone Version 1.0.1 deleted
